from odoo import fields, models,api


class FamilyMemberExam(models.Model):
    _name = 'family.member.exam'
    _description = 'Family Member Exam'
    _order = 'id desc'

    member_id = fields.Many2one('family.member', string='Family Member')
    exam_id = fields.Many2one('education.exam.type', string='Exam Type', required=True)
    exam_degree = fields.Float(string='Exam Degree')
    exam_date = fields.Date(string='Exam Date')
    exam_attachment = fields.Binary(string='Exam Attachment', attachment=True)
    exam_attachment_file_name = fields.Char(required=False)
